RDKit: RDKit::PatternHolder Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
RDKit::PatternHolder Class Reference

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::PatternHolder:

## Public Member Functions
| PatternHolder ()
| PatternHolder (unsigned int numBits)
ExplicitBitVect * | makeFingerprint (const ROMol &m) const override
| Caller owns the vector!
const unsigned int & | getNumBits () const
unsigned int & | getNumBits ()
Public Member Functions inherited from RDKit::FPHolderBase
virtual | ~FPHolderBase ()
virtual unsigned int | size () const
unsigned int | addMol (const ROMol &m)
| Adds a molecule to the fingerprinter.
unsigned int | addFingerprint (ExplicitBitVect *v)
unsigned int | addFingerprint (const ExplicitBitVect &v)
bool | passesFilter (unsigned int idx, const ExplicitBitVect &query) const
| Return false if a substructure search can never match the molecule.
const ExplicitBitVect & | getFingerprint (unsigned int idx) const
std::vector< ExplicitBitVect * > & | getFingerprints ()
const std::vector< ExplicitBitVect * > & | getFingerprints () const

## Static Public Member Functions
static unsigned int | defaultNumBits ()

## Detailed Description

Uses the pattern fingerprinter with a user-defined number of bits (default: 2048) to rule out matches

Definition at line 319 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ◆ PatternHolder() [1/2]

RDKit::PatternHolder::PatternHolder | ( |  | ) |
| inline

Definition at line 323 of file SubstructLibrary.h.

References defaultNumBits().

Referenced by RDKit::TautomerPatternHolder::TautomerPatternHolder(), and RDKit::TautomerPatternHolder::TautomerPatternHolder().

## ◆ PatternHolder() [2/2]

RDKit::PatternHolder::PatternHolder | ( | unsigned int | numBits | ) |
| inline

Definition at line 324 of file SubstructLibrary.h.

## Member Function Documentation

## ◆ defaultNumBits()

static unsigned int RDKit::PatternHolder::defaultNumBits | ( |  | ) |
| inlinestatic

Definition at line 331 of file SubstructLibrary.h.

Referenced by PatternHolder().

## ◆ getNumBits() [1/2]

unsigned int & RDKit::PatternHolder::getNumBits | ( |  | ) |
| inline

Definition at line 330 of file SubstructLibrary.h.

## ◆ getNumBits() [2/2]

const unsigned int & RDKit::PatternHolder::getNumBits | ( |  | ) | const
| inline

Definition at line 329 of file SubstructLibrary.h.

Referenced by RDKit::TautomerPatternHolder::makeFingerprint().

## ◆ makeFingerprint()

ExplicitBitVect * RDKit::PatternHolder::makeFingerprint | ( | const ROMol & | m | ) | const
| inlineoverridevirtual

Caller owns the vector!

Implements RDKit::FPHolderBase.

Reimplemented in RDKit::TautomerPatternHolder.

Definition at line 326 of file SubstructLibrary.h.

References RDKit::PatternFingerprintMol().

The documentation for this class was generated from the following file:

- SubstructLibrary.h